body {
	font-family: 'Open Sans', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
	/* font-family: 'Gill Sans', sans-serif; */
	text-align: justify;
	line-height: 20px;
	padding: 9px;
	user-select: none;
	background: #000000;
	margin: 0;
	color: var(--color-text);
	background-color: #e2ea90;
	background-color: var(--color-background);
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
} 

/* Color schemes */
.demo-adsila {
	--color-text: #57585c;
	--color-background: #fff;
	--color-link: #5d93d8;
	--color-link-hover: #423c2b;
}


/* Fade effect */
.js body {
	opacity: 0;
	transition: opacity 0.3s;
}

.js body.render {
	opacity: 1;
}

a {
	text-decoration: none;
	color: #5d93d8;
	color: var(--color-link);
	outline: none;
}

a:hover,
a:focus {
	color: #423c2b;
	color: var(--color-link-hover);
	outline: none;
}

.hidden {
	position: absolute;
	overflow: hidden;
	width: 0;
	height: 0;
	pointer-events: none;
}

/* Icons */
.icon {
	display: block;
	width: 1.5em;
	height: 1.5em;
	margin: 0 auto;
	fill: currentColor;
}

.icon--keyboard {
	display: none;
}

/* main {
	position: relative;
	width: 100%;
} */

/* .content {
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;
	min-height: 100vh;
	margin: 0 auto;
	padding: 3em 2em;
} */

.content--fixed {
	position: fixed;
	z-index: 100;
	top: 0;
	left: 0;
	display: grid;
	align-content: space-between;
	width: 100%;
	max-width: none;
	height: 100vh;
	padding: 1em;
	pointer-events: none;
	grid-template-columns: 50% 50%;
	grid-template-rows: auto auto 4em;
	grid-template-areas: 'header ...'
	'... ...'
	'github demos';
}

.content--fixed a {
	pointer-events: auto;
}

/* Header */
.codrops-header {
	position: relative;
	z-index: 100;
	display: flex;
	flex-direction: row;
	align-items: flex-start;
	align-items: center;
	align-self: start;
	grid-area: header;
	justify-self: start;
}

.codrops-header__title {
	font-size: 1em;
	font-weight: normal;
	margin: 0;
	padding: 0.75em 0;
}

.info {
	margin: 0 0 0 1.25em;
	color: var(--color-link-hover);
}

.github {
	display: block;
	align-self: end;
	grid-area: github;
	justify-self: start;
}

.demos {
	position: relative;
	display: block;
	align-self: end;
	text-align: center;
	grid-area: demos;
}

.demo {
	margin: 0 0.15em;
}

.demo span {
	white-space: nowrap;
	letter-spacing: 0.1em;
	text-transform: lowercase;
	pointer-events: none;
}

.demo span::before {
	content: '#';
}

a.demo--current {
	pointer-events: none;
	border: 1px solid;
}

/* Top Navigation Style */
.codrops-links {
	position: relative;
	display: flex;
	justify-content: center;
	margin: 0 1em 0 0;
	text-align: center;
	white-space: nowrap;
}

.codrops-icon {
	display: inline-block;
	margin: 0.15em;
	padding: 0.25em;
}

/* Common styles for the menus */
.menu {
	position: relative;
	z-index: 10;
justify-content: center;
}

.menu__item {
	line-height: 1;
	position: relative;
	display: block;
	margin: 1em 0;
	outline: none;
	justify-content: center;

}


.menu__item-name,
.menu__item-label {
	position: relative;
	display: inline-block;
	justify-content: center;
}

.menu__item-name {
	font-size: 1.25em;
}

.menu__item-label {
	margin: 0 0 0 0.5em;
}

@media screen and (min-width: 50em) {
	.icon--keyboard {
		position: absolute;
		right: 0.55em;
		bottom: -30%;
		display: block;
		width: 54px;
		height: 46px;
		fill: var(--color-link);
	}
	.demos {
		display: flex;
		padding-right: 80px;

		justify-self: end;
	}
	.demo {
		display: block;
		width: 17px;
		height: 17px;
		margin: 0 5px 0 0;
		border: 2px solid;
		border-radius: 2px;
	}
	a.demo--current {
		background: currentColor;
	}
	.demo span {
		position: absolute;
		top: -0.2em;
		right: 100%;
		display: none;
		margin: 0 1em 0 0;
	}
	.demo--current span {
		display: block;
	}
}

@media screen and (max-width: 50em) {
	html,
	body {
		overflow-x: hidden;
		width: 100vw;
		height: 100%;
	}
	.content {
		height: auto;
		min-height: 0;
		padding-bottom: 10em;
	}
	.content--fixed {
		position: relative;
		z-index: 1000;
		display: block;
		padding: 0.85em;
	}
	.codrops-header {
		flex-direction: column;
		align-items: center;
	}
	.codrops-header__title {
		font-weight: bold;
		padding-bottom: 0.25em;
		text-align: center;
	}
	.github {
		display: block;
		margin: 1em auto;
	}
	.codrops-links {
		margin: 0;
	}
}

.left-box {
	flex: 0 0 75px;
	background-color: #ffffff;
	color: white;
	padding: 20px;
	padding-top: 0;
	font-size: 12;
	font-family: 'Open Sans', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
	text-align: left;
	position: relative;
  z-index: 0;
  border-radius: 10px; /* Add this line to round all corners */

}

.left-box::before {
  content: '';
  position: absolute;
  z-index: -1;
  inset: 0;
  padding: 3px; /* This determines the border width */
  background: linear-gradient(45deg, #ff6b6b, #feca57, #48dbfb, #ff9ff3);
  -webkit-mask: 
     linear-gradient(#fff 0 0) content-box, 
     linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
          mask-composite: exclude;
  animation: rotate-border 4s linear infinite;
  border-radius: 10px; /* Add this line to round all corners */

}

@keyframes rotate-border {
  0% {
    filter: hue-rotate(0deg);
  }
  100% {
    filter: hue-rotate(360deg);
  }
}

.left-box * {
	text-align: center;
}

/* New rule for centering the Index title */
.left-box p:first-of-type {
	text-align: center;
	font-family: 'Open Sans', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;

}

/* Optional: Style for the Index title */
.left-box p:first-of-type strong {
	font-size: 26px;
	color: #000000;
}

.right-box {
	flex: 3;
	padding: 40px;
	padding-top: 0;
	text-align: justify;
	overflow-y: auto;
	max-height: 90vh;
	
}

.right-box::-webkit-scrollbar-track
{
	-webkit-box-shadow: inset 0 0 6px rgba(255, 255, 255, 0.884);
	background-color: transparent;
}

.right-box::-webkit-scrollbar
{
	width: 5px;
	background-color: transparent;
}

.right-box::-webkit-scrollbar-thumb
{
	background-color: #6265fe;	
	background-image: -webkit-linear-gradient(45deg,
	                                          rgba(255, 255, 255, .2) 25%,
											  transparent 25%,
											  transparent 50%,
											  rgba(255, 255, 255, .2) 50%,
											  rgba(255, 255, 255, .2) 75%,
											  transparent 75%,
											  transparent)
}




.container {
	display: flex;
	max-width: 1400px;
	margin: 0 auto;
	text-align: justify;
	background-color: rgb(255, 255, 255);
	border-radius: 10px;
	box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
	overflow: hidden;
}

h1 {
	color: #113c68;
	font-size: 2em;
	margin-bottom: 20px;
	border-bottom: 2px solid #99cced;
	padding-bottom: 20px;
}

h2{
	color: #000000;
	margin-top: 0%;
	margin-bottom: 20px;
	margin-left: 0;
}

h3{
	color: #000000;
	margin-top: 0;
	margin-left: 0;
	padding: 0;
}

h4 {
	color: #000000;
	margin-top: 0;
    margin-left: 0;
    padding: 0;
    margin-bottom: 5px;
}

img {
	max-width: 100%;
	height: auto;
	display: block;
	/* margin: 20px auto; */
	/* border-radius: 5px; */
}

ul,
ol {
	padding-left: 15px;
	margin-left: 0;
	margin-top: 0;
}

li::marker {
	color: #fe628e;
	font-size: 1.25rem;
  }
  
  /* li:first-child::marker {
	font-size: 5rem;
  } */

@media print {
	body {
		display: none;
	}
}
.pdf-page {
	/* margin: 2px auto; */
	align-items: center;
	display: block;
	/* border: 1px solid #ddd;
	box-shadow: 0 0 5px rgba(0,0,0,0.1); */
}
#pdf-viewer {
	width: 100%;
	height: 455px;
	overflow: auto;
	overflow-y: auto;
	/* max-height: 80vh; Adjust this value as needed */
}

/* Hide scrollbars for the PDF viewer in Chrome, Safari and Opera */
#pdf-viewer::-webkit-scrollbar {
	display: none;
}

/* Hide scrollbars for the PDF viewer in IE, Edge and Firefox */
#pdf-viewer {
	-ms-overflow-style: none;  /* IE and Edge */
	scrollbar-width: none;  /* Firefox */
}

#r-script-viewer {
	max-height: 80vh;
	background-color: white;
	overflow-y: auto;
	scrollbar-width: none; /* For Firefox */
	-ms-overflow-style: none; /* For Internet Explorer and Edge */
}

#r-script-viewer::-webkit-scrollbar {
	display: none; /* For Chrome, Safari, and Opera */
}

#r-script-viewer pre {
	margin: 0;
	background-color: #fff;
	white-space: pre-wrap;
	word-wrap: break-word;
}